dongleboy
Pilgrim

Upgrading a Version 6.3 installed app using InstallShield 2010 (version 16)

I have inherited an app that was fielded using a InstallShield v6.3 installscript-based installer. I have InstallShield 2010 (IS2010) on my workstation.

We have an upgrade to field that consists of a couple of DLLs and an exe. All of the other stuff (3rd party apps and things the installer handles) do not change.

So far, I have been able to upgrade the InstallShield v6.3 project itself to build under IS2010 and grab the latest exe and dll files from our release bin.

When doing a fresh install of the upgraded app to a clean system, the IS2010 installer works like a champ.

However, when attempting to use the IS2010 installer on a box that already has the previous app, I get "The setup has detected that version of {Product Name} is already installed. This setup installs a previous version of {product name} {Product Version}."

I have set the product version number to a number higher than what it was previously - to no effect.

I am a newbie to InstallShield, so I am hoping this issue is do to my lack of IS experience.

Can someone please weigh-in and let me know if what I am attempting is doable? If so, what am I not doing right?

Thanks!!
Labels (1)
0 Kudos
1 Reply
TsungH
Pilgrim

Re: Upgrading a Version 6.3 installed app using InstallShield 2010 (version 16)

By "the previous app," did you mean installed by setup created with IS2010? If so, there are changes needed to enable upgrade. You will want to refer to Patching and Upgrades for information on minor and major upgrade.
dongleboy wrote:
However, when attempting to use the IS2010 installer on a box that already has the previous app, I get "The setup has detected that version of {Product Name} is already installed. This setup installs a previous version of {product name} {Product Version}."
0 Kudos